ICU 74.2: Data Fields - Variables

ICU 74.2 74.2

Here is a list of all documented variables with links to the struct/union documentation for each field:

### - _ -

- _id : icu::SimpleNumberFormatFactory
- _visible : icu::SimpleNumberFormatFactory

### - a -

- a : UText
- access : UTextFuncs
- affixProvider : icu::number::impl::MacroProps
- ALTERNATE_TIME_SEPARATOR : icu::DateFormatSymbols
- approximately : icu::number::impl::MacroProps
- array : USerializedSet

### - b -

- b : UText
- begin : icu::CharacterIterator
- beginIndex : UFieldPosition
- bmpLength : USerializedSet

### - c -

- c : UText
- char32At : UReplaceableCallbacks
- charAt : UReplaceableCallbacks
- chars : icu::StringEnumeration
- charsBuffer : icu::StringEnumeration
- charsCapacity : icu::StringEnumeration
- charsetFamily : UDataInfo
- chunkContents : UText
- chunkLength : UText
- chunkNativeLimit : UText
- chunkNativeStart : UText
- chunkOffset : UText
- clone : UTextFuncs
- close : UTextFuncs
- collapse : icu::number::impl::RangeMacroProps
- context : UCharIterator, UText
- contextLimit : UTransPosition
- contextStart : UTransPosition
- converter : UConverterFromUnicodeArgs, UConverterToUnicodeArgs
- copy : UReplaceableCallbacks, UTextFuncs
- current : UCharIterator

### - d -

- dataFormat : UDataInfo
- dataVersion : UDataInfo
- decimal : icu::number::impl::MacroProps
- DEFAULT_TIME_SEPARATOR : icu::DateFormatSymbols

### - e -

- end : icu::CharacterIterator
- endIndex : UFieldPosition
- errorCode : icu::ErrorCode
- errors : UIDNAInfo
- extract : UReplaceableCallbacks, UTextFuncs
- extraSize : UText

### - f -

- fAreAllFieldsSet : icu::Calendar
- fAreFieldsSet : icu::Calendar
- fAreFieldsVirtuallySet : icu::Calendar
- fCalendar : icu::DateFormat
- fClientArrays : icu::RunArray
- fData : icu::RuleBasedBreakIterator
- fEngineeringInterval : icu::number::Notation::NotationUnion::ScientificSettings
- fExponentSignDisplay : icu::number::Notation::NotationUnion::ScientificSettings
- fFields : icu::Calendar
- field : UFieldPosition
- fIncrement : icu::number::Precision::PrecisionUnion::IncrementSettings
- fIncrementMagnitude : icu::number::Precision::PrecisionUnion::IncrementSettings
- fIsSet : icu::Calendar
- fIsTimeSet : icu::Calendar
- flags : UText
- fLocales : icu::LocaleRuns
- flush : UConverterFromUnicodeArgs, UConverterToUnicodeArgs
- fMaxFrac : icu::number::Precision::PrecisionUnion::FractionSignificantSettings
- fMaxSig : icu::number::Precision::PrecisionUnion::FractionSignificantSettings
- fMinExponentDigits : icu::number::Notation::NotationUnion::ScientificSettings
- fMinFrac : icu::number::Precision::PrecisionUnion::FractionSignificantSettings, icu::number::Precision::PrecisionUnion::IncrementSettings
- fMinSig : icu::number::Precision::PrecisionUnion::FractionSignificantSettings
- fNumberFormat : icu::DateFormat
- formatter1 : icu::number::impl::RangeMacroProps
- formatter2 : icu::number::impl::RangeMacroProps
- formatVersion : UDataInfo
- fPriority : icu::number::Precision::PrecisionUnion::FractionSignificantSettings
- fRequireMinInt : icu::number::Notation::NotationUnion::ScientificSettings
- fRetain : icu::number::Precision::PrecisionUnion::FractionSignificantSettings
- fStamp : icu::Calendar

### - g -

- gDefaultMaxIntegerDigits : icu::NumberFormat
- gDefaultMinIntegerDigits : icu::NumberFormat
- getIndex : UCharIterator
- getState : UCharIterator
- grouper : icu::number::impl::MacroProps

### - h -

- hasNext : UCharIterator
- hasPrevious : UCharIterator

### - i -

- identityFallback : icu::number::impl::RangeMacroProps
- index : UCharIterator
- integer : icu::Transliterator::Token
- integerWidth : icu::number::impl::MacroProps
- isBigEndian : UDataInfo
- isTransitionalDifferent : UIDNAInfo

### - k -

- kDatePrecedence : icu::Calendar
- kDOWPrecedence : icu::Calendar
- kFormerLatterMask : icu::BasicTimeZone
- kMonthPrecedence : icu::Calendar
- kResolveRemap : icu::Calendar
- kResolveSTOP : icu::Calendar
- kStdDstMask : icu::BasicTimeZone
- kYearPrecedence : icu::Calendar

### - l -

- length : UCharIterator, UReplaceableCallbacks, USerializedSet
- limit : UCharIterator, UTransPosition
- line : UParseError
- locale : icu::number::impl::MacroProps, icu::number::impl::RangeMacroProps

### - m -

- m_breakiterator_ : icu::SearchIterator
- m_search_ : icu::SearchIterator
- m_text_ : icu::SearchIterator
- magic : UText
- mapNativeIndexToUTF16 : UTextFuncs
- mapOffsetToNative : UTextFuncs
- MAX_YEAR : icu::AnnualTimeZoneRule
- move : UCharIterator

### - n -

- nativeIndexingLimit : UText
- nativeLength : UTextFuncs
- next : UCharIterator
- notation : icu::number::impl::MacroProps
- npos : icu::StringPiece

### - o -

- offset : UParseError
- offsets : UConverterFromUnicodeArgs, UConverterToUnicodeArgs

### - p -

- p : UText
- padder : icu::number::impl::MacroProps
- perUnit : icu::number::impl::MacroProps
- pExtra : UText
- pFuncs : UText
- pointer : icu::Transliterator::Token
- pos : icu::CharacterIterator
- postContext : UParseError
- precision : icu::number::impl::MacroProps
- preContext : UParseError
- previous : UCharIterator
- privA : UText
- privB : UText
- privC : UText
- privP : UText
- providerProperties : UText
- ptr : icu::LocalPointerBase< T >

### - q -

- q : UText

### - r -

- r : UText
- replace : UReplaceableCallbacks, UTextFuncs
- reserved1 : UTextFuncs
- reserved2 : UTextFuncs
- reserved3 : UTextFuncs
- reservedB3 : UIDNAInfo
- reservedByte : UDataInfo
- reservedField : UCharIterator
- reservedFn : UCharIterator
- reservedI2 : UIDNAInfo
- reservedI3 : UIDNAInfo
- reservedWord : UDataInfo
- roundingMode : icu::number::impl::MacroProps
- rules : icu::number::impl::MacroProps

### - s -

- scale : icu::number::impl::MacroProps
- setState : UCharIterator
- sign : icu::number::impl::MacroProps
- singleFormatter : icu::number::impl::RangeMacroProps
- size : UConverterFromUnicodeArgs, UConverterToUnicodeArgs, UDataInfo, UIDNAInfo
- sizeOfStruct : UText
- sizeofUChar : UDataInfo
- source : UConverterFromUnicodeArgs, UConverterToUnicodeArgs
- sourceLimit : UConverterFromUnicodeArgs, UConverterToUnicodeArgs
- spare1 : UTextFuncs
- spare2 : UTextFuncs
- spare3 : UTextFuncs
- start : UCharIterator, UTransPosition
- staticArray : USerializedSet
- symbols : icu::number::impl::MacroProps

### - t -

- tableSize : UTextFuncs
- target : UConverterFromUnicodeArgs, UConverterToUnicodeArgs
- targetLimit : UConverterFromUnicodeArgs, UConverterToUnicodeArgs
- text : icu::StringCharacterIterator, icu::UCharCharacterIterator
- textLength : icu::CharacterIterator
- threshold : icu::number::impl::MacroProps

### - u -

- unistr : icu::StringEnumeration
- unit : icu::number::impl::MacroProps
- unitDisplayCase : icu::number::impl::MacroProps
- unitWidth : icu::number::impl::MacroProps
- usage : icu::number::impl::MacroProps